const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class UserService extends ServiceBase {
    constructor() {
        super();
    }

    /**
     * fn:保存签约日志
     * @param params
     * @returns {Promise<void>}
     */
    async saveEorderSignLog(params){
        return await this.callms("sve_order", "saveEorderSignLog", params);
    }

    /**
     * fn:签约日志列表
     * @param params
     * @returns {Promise<void>}
     */
    async pageEorderSignLog(params){
        return await this.callms("sve_order", "pageEorderSignLog", params);
    }
}

module.exports = UserService;